net.sf.jasperreports.components.map

## Class StandardItemProperty

- java.lang.Object
- - net.sf.jasperreports.components.map.StandardItemProperty

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ItemProperty, JRChangeEventsSupport, JRCloneable

      public class StandardItemProperty
      extends java.lang.Object
      implements ItemProperty, JRChangeEventsSupport, java.io.Serializable

  Version:
    $Id: StandardItemProperty.java 6002 2013-03-20 08:15:32Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_NAME`
    `static java.lang.String` | `PROPERTY_VALUE`
    `static java.lang.String` | `PROPERTY_VALUE_EXPRESSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardItemProperty()`
    `StandardItemProperty(java.lang.String name, java.lang.String value, JRExpression valueExpression)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `java.lang.String` | `getName()` Returns the name of the item property (required).
    `java.lang.String` | `getValue()` Returns the `value` attribute of the item property.
    `JRExpression` | `getValueExpression()` Returns a `JRExpression` representing the value object for the item property.
    `void` | `setName(java.lang.String name)`
    `void` | `setValue(java.lang.String value)`
    `void` | `setValueExpression(JRExpression valueExpression)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE

          public static final java.lang.String PROPERTY_VALUE

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_EXPRESSION

          public static final java.lang.String PROPERTY_VALUE_EXPRESSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardItemProperty

          public StandardItemProperty()

    - #### StandardItemProperty

          public StandardItemProperty(java.lang.String name,
                              java.lang.String value,
                              JRExpression valueExpression)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `ItemProperty`
      Returns the name of the item property (required).
      Specified by:
        `getName` in interface `ItemProperty`
      Returns:
        the property name

    - #### setName

          public void setName(java.lang.String name)

    - #### getValue

          public java.lang.String getValue()

      Description copied from interface: `ItemProperty`
      Returns the `value` attribute of the item property. Only `java.lang.String` values are allowed for this attribute.
      Specified by:
        `getValue` in interface `ItemProperty`
      Returns:
        the `value` attribute

    - #### setValue

          public void setValue(java.lang.String value)

    - #### getValueExpression

          public JRExpression getValueExpression()

      Description copied from interface: `ItemProperty`
      Returns a `JRExpression` representing the value object for the item property. If present, it overrides the value given by the `value` attribute.
      Specified by:
        `getValueExpression` in interface `ItemProperty`
      Returns:
        the value expression

    - #### setValueExpression

          public void setValueExpression(JRExpression valueExpression)

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com